Summary: The LAPACK libraries, which provide numerical linear algebra problem solving routines.
Name: lapack
Version: 2.0
Release: 10
Copyright: Freely distributable
Group: Development/Libraries
Source0: http://www.netlib.org/lapack/lapack.tar.gz
Source1: http://www.netlib.org/lapack/manpages.tar.gz
Source2: Makefile.blas
Source3: Makefile.lapack
URL: http://www.netlib.org/lapack/
BuildRoot: /var/tmp/lapack-root

%description
LAPACK (Linear Algebra PACKage) is a standard library for
numerical linear algebra.  LAPACK provides routines for solving systems of
simultaneous linear equations, least-squares solutions of linear systems of
equations, eigenvalue problems, and singular value problems.  Associated
matrix factorizations (LU, Cholesky, QR, SVD, Schur, and generalized Schur)
and related computations (i.e., reordering of Schur factorizations and
estimating condition numbers) are also included.  LAPACK can handle dense
and banded matrices, but not general sparse matrices.  Similar functionality
is provided for real and complex matrices in both single and double
precision.  LAPACK is coded in Fortran77 and is built with egcs.

%package -n blas
Summary: The Basic Linear Algebra libraries for Linux
Group: Development/Libraries
Obsoletes: lapack-blas

%description -n blas
BLAS (Basic Linear Algebra Subprograms) is a standard lib
for numerical algebra. It provides a number of basic algorithms
for linear algebra, and is fast and well-tested. It is
written in FORTRAN 77, and built with egcs.

%package -n blas-man
Summary: Manpages for BLAS (Basic Linear Algebra Subsystem) routines 
Group: Documentation
Obsoletes: lapack-blas-man

%description -n blas-man
This is the documentation for the BLAS-routines in the form of manual pages.

%package man
Summary: Manpages for LAPACK (Linear Algebra PACKage) routines
Group: Documentation

%description man
This is the documentation for the LAPACK-routines in the form of
manual pages.

%prep
%setup -q -n LAPACK
%setup -q -D -T -a 1 -n LAPACK
cp -f $RPM_SOURCE_DIR/Makefile.blas BLAS/SRC/Makefile
cp -f $RPM_SOURCE_DIR/Makefile.lapack SRC/Makefile

%build
cd BLAS/SRC
FFLAGS="$RPM_OPT_FLAGS" make static
cp libblas.a ../..
make clean
FFLAGS="$RPM_OPT_FLAGS -fPIC" make shared
cp libblas.so.2.0.1 ../..
cd ../..
ln -s libblas.so.2.0.1 libblas.so
cd SRC
FFLAGS="$RPM_OPT_FLAGS" make static
cp liblapack.a ..
make clean
FFLAGS="$RPM_OPT_FLAGS -fPIC" make shared
cp liblapack.so.2.0.1 ..   

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/man/manl

cp -f liblapack.so.2.0.1 $RPM_BUILD_ROOT/usr/lib/liblapack.so.2.0.1
cp -f libblas.so.2.0.1 $RPM_BUILD_ROOT/usr/lib/libblas.so.2.0.1
cp -f libblas.a $RPM_BUILD_ROOT/usr/lib/libblas.a
cp -f liblapack.a $RPM_BUILD_ROOT/usr/lib/liblapack.a

cd blas/man/manl
gzip -9 *
cd ../../..
echo "%defattr(-, root, root)" > blasmans 
find blas/man/manl -type f -printf "/usr/man/manl/%f\n" > blasmans
cd man/manl
gzip -9 *
cd ../..
echo "%defattr(-, root, root)" > lapackmans 
find man/manl -type f -printf "/usr/man/manl/%f\n" > lapackmans

cp -f blas/man/manl/* $RPM_BUILD_ROOT/usr/man/manl
cp -f man/manl/* $RPM_BUILD_ROOT/usr/man/manl
cd $RPM_BUILD_ROOT/usr/lib
ln -sf liblapack.so.2.0.1 liblapack.so
ln -sf liblapack.so.2.0.1 liblapack.so.2
ln -sf liblapack.so.2.0.1 liblapack.so.2.0
ln -sf libblas.so.2.0.1 libblas.so
ln -sf libblas.so.2.0.1 libblas.so.2
ln -sf libblas.so.2.0.1 libblas.so.2.0

%pre
ldconfig

%post
ldconfig

%pre -n blas
ldconfig

%post -n blas
ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
/usr/lib/liblapack.*

%files -n blas
%defattr(-,root,root)
/usr/lib/libblas.*

%files -n blas-man -f blasmans
%defattr(-,root,root)

%files man -f lapackmans
%defattr(-,root,root)

%changelog
* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- new description/summary text.

* Fri Jul 17 1998 Jeff Johnson <jbj@redhat.com>
- repackage for powertools.

* Sun Feb 15 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
 [lapack-2.0-9]
 - No code updates, just built with a customized rpm -
   this should make dependencies right.

* Sat Feb 07 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
 [lapack-2.0-8]
 - Total rewrite of the spec file
 - Added my own makefiles - libs should build better,
   static libs should work (and be faster than they
	would be if they had worked earlier ;)
 - No patch necesarry anymore.
 - Renamed lapack-blas and lapack-blas-man to
   blas and blas-man. "Obsoletes:" tag added.
   (oh - and as always: Dedicated to the girl I
   love, Eline Skirnisdottir)

* Sat Dec 06 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
 [lapack-2.0-7]
  - added a dependency to glibc, so people don't try with libc5

* Thu Nov 20 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [lapack-2.0-6]
  - removed etime.c
  - compiled with egcs, and for glibc 2.0

* Sun Oct 12 1997  Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [lapack-2.0-5]
  - added a changelog
  - cleaned up building of shared libs
  - now uses a BuildRoot
  - cleaned up the specfile
